### Function

# Gdkcontent_register_serializer

#### Declaration [src]

    void
    gdk_content_register_serializer (
      GType type,
      const char* mime_type,
      GdkContentSerializeFunc serialize,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Registers a function to serialize objects of a given type.

#### Parameters

`type`

  Type: `GType`

  The type of objects that the function can serialize.

`mime_type`

  Type: `const char*`

  The mime type to serialize to.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`serialize`

  Type: `GdkContentSerializeFunc`

  The callback.

`data`

  Type: `gpointer`

  Data that `serialize` can access.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `GDestroyNotify`

  Destroy notify for `data`.